//===--- XMLDiagnostics.h - Helper classes for Cross TU analysis ---* C++ *===//
//
//                     The LLVM Compiler Infrastructure
//
// This file is distributed under the University of Illinois Open Source
// License. See LICENSE.TXT for details.
//
//===----------------------------------------------------------------------===//
//
//  This file defines Helper classes for Cross TU analysis.
//
//===----------------------------------------------------------------------===//

#ifndef LLVM_CLANG_STATICANALYZER_CORE_XTUHELPER
#define LLVM_CLANG_STATICANALYZER_CORE_XTUHELPER

namespace clang {
    class ASTContext;
    class FunctionDecl;
    class SourceManager;
    class StackFrameContext;
}

class XtuHelper {
public:
    static bool isXtuAnalysis();
    static const clang::FunctionDecl* findFunctionDeclInExternalAST(const clang::FunctionDecl *FD);
};

#endif